function init()
	-- NAME & GRAPHIC --
	c.name = "Spinner"
	c.gfxFile = "spinner.png"

	-- STATS --
	c.mass = 40
	c.stat.strafe = 0
	c.stat.thrust = 0
	c.stat.maxSpeed = 50
	c.stat.turnRate = 320
	c.invulnerable = 1

	-- TILES & POWER SLOTS --
	c.load_cshape("prop_spinner.png")
	
	-- MISC --
	c.desc = "A spinning death fire wheel."
	c.behavior = "spinner"
end

--sets the editor/minimap display icon
function setIcon()
	icon.frame = 22	--from map_icons.png, which frame to use.
	return 0
end